Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDITEMMYCARENETvalues

java.lang.Object
java.lang.Enum<CDITEMMYCARENETvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDITEMMYCARENETvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDITEMMYCARENETvalues>`, `java.lang.constant.Constable`

public enum CDITEMMYCARENETvalues extends Enum<CDITEMMYCARENETvalues>

Java class for CD-ITEM-MYCARENETvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ITEM-MYCARENETvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="fee"/>
         <enumeration value="financialcontract"/>
         <enumeration value="patientfee"/>
         <enumeration value="payment"/>
         <enumeration value="reimbursement"/>
         <enumeration value="refusal"/>
         <enumeration value="patientpaid"/>
         <enumeration value="supplement"/>
         <enumeration value="paymentreceivingparty"/>
         <enumeration value="internship"/>
         <enumeration value="documentidentity"/>
         <enumeration value="invoicingnumber"/>
         <enumeration value="reimbursement-fpssi"/>
         <enumeration value="reimbursement-pswc"/>
         <enumeration value="umc"/>
         <enumeration value="mediprimanumber"/>
         <enumeration value="pswc"/>
         <enumeration value="treatmentreason"/>
         <enumeration value="agreementenddate"/>
         <enumeration value="agreementstartdate"/>
         <enumeration value="agreementtype"/>
         <enumeration value="consultationenddate"/>
         <enumeration value="consultationstartdate"/>
         <enumeration value="authorisationtype"/>
         <enumeration value="decisionreference"/>
         <enumeration value="orphandrugdeliveryplace"/>
         <enumeration value="refusaljustification"/>
         <enumeration value="reststrength"/>
         <enumeration value="restunitnumber"/>
         <enumeration value="legalbasis"/>
         <enumeration value="legalunitnumber"/>
         <enumeration value="legalstrength"/>
         <enumeration value="istrialperiod"/>
         <enumeration value="closurejustification"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGREEMENTENDDATE`
  `AGREEMENTSTARTDATE`
  `AGREEMENTTYPE`
  `AUTHORISATIONTYPE`
  `CLOSUREJUSTIFICATION`
  `CONSULTATIONENDDATE`
  `CONSULTATIONSTARTDATE`
  `DECISIONREFERENCE`
  `DOCUMENTIDENTITY`
  `FEE`
  `FINANCIALCONTRACT`
  `INTERNSHIP`
  `INVOICINGNUMBER`
  `ISTRIALPERIOD`
  `LEGALBASIS`
  `LEGALSTRENGTH`
  `LEGALUNITNUMBER`
  `MEDIPRIMANUMBER`
  `ORPHANDRUGDELIVERYPLACE`
  `PATIENTFEE`
  `PATIENTPAID`
  `PAYMENT`
  `PAYMENTRECEIVINGPARTY`
  `PSWC`
  `REFUSAL`
  `REFUSALJUSTIFICATION`
  `REIMBURSEMENT`
  `REIMBURSEMENT_FPSSI`
  `REIMBURSEMENT_PSWC`
  `RESTSTRENGTH`
  `RESTUNITNUMBER`
  `SUPPLEMENT`
  `TREATMENTREASON`
  `UMC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDITEMMYCARENETvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDITEMMYCARENETvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDITEMMYCARENETvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FEE

    public static final CDITEMMYCARENETvalues FEE

  - ### FINANCIALCONTRACT

    public static final CDITEMMYCARENETvalues FINANCIALCONTRACT

  - ### PATIENTFEE

    public static final CDITEMMYCARENETvalues PATIENTFEE

  - ### PAYMENT

    public static final CDITEMMYCARENETvalues PAYMENT

  - ### REIMBURSEMENT

    public static final CDITEMMYCARENETvalues REIMBURSEMENT

  - ### REFUSAL

    public static final CDITEMMYCARENETvalues REFUSAL

  - ### PATIENTPAID

    public static final CDITEMMYCARENETvalues PATIENTPAID

  - ### SUPPLEMENT

    public static final CDITEMMYCARENETvalues SUPPLEMENT

  - ### PAYMENTRECEIVINGPARTY

    public static final CDITEMMYCARENETvalues PAYMENTRECEIVINGPARTY

  - ### INTERNSHIP

    public static final CDITEMMYCARENETvalues INTERNSHIP

  - ### DOCUMENTIDENTITY

    public static final CDITEMMYCARENETvalues DOCUMENTIDENTITY

  - ### INVOICINGNUMBER

    public static final CDITEMMYCARENETvalues INVOICINGNUMBER

  - ### REIMBURSEMENT_FPSSI

    public static final CDITEMMYCARENETvalues REIMBURSEMENT_FPSSI

  - ### REIMBURSEMENT_PSWC

    public static final CDITEMMYCARENETvalues REIMBURSEMENT_PSWC

  - ### UMC

    public static final CDITEMMYCARENETvalues UMC

  - ### MEDIPRIMANUMBER

    public static final CDITEMMYCARENETvalues MEDIPRIMANUMBER

  - ### PSWC

    public static final CDITEMMYCARENETvalues PSWC

  - ### TREATMENTREASON

    public static final CDITEMMYCARENETvalues TREATMENTREASON

  - ### AGREEMENTENDDATE

    public static final CDITEMMYCARENETvalues AGREEMENTENDDATE

  - ### AGREEMENTSTARTDATE

    public static final CDITEMMYCARENETvalues AGREEMENTSTARTDATE

  - ### AGREEMENTTYPE

    public static final CDITEMMYCARENETvalues AGREEMENTTYPE

  - ### CONSULTATIONENDDATE

    public static final CDITEMMYCARENETvalues CONSULTATIONENDDATE

  - ### CONSULTATIONSTARTDATE

    public static final CDITEMMYCARENETvalues CONSULTATIONSTARTDATE

  - ### AUTHORISATIONTYPE

    public static final CDITEMMYCARENETvalues AUTHORISATIONTYPE

  - ### DECISIONREFERENCE

    public static final CDITEMMYCARENETvalues DECISIONREFERENCE

  - ### ORPHANDRUGDELIVERYPLACE

    public static final CDITEMMYCARENETvalues ORPHANDRUGDELIVERYPLACE

  - ### REFUSALJUSTIFICATION

    public static final CDITEMMYCARENETvalues REFUSALJUSTIFICATION

  - ### RESTSTRENGTH

    public static final CDITEMMYCARENETvalues RESTSTRENGTH

  - ### RESTUNITNUMBER

    public static final CDITEMMYCARENETvalues RESTUNITNUMBER

  - ### LEGALBASIS

    public static final CDITEMMYCARENETvalues LEGALBASIS

  - ### LEGALUNITNUMBER

    public static final CDITEMMYCARENETvalues LEGALUNITNUMBER

  - ### LEGALSTRENGTH

    public static final CDITEMMYCARENETvalues LEGALSTRENGTH

  - ### ISTRIALPERIOD

    public static final CDITEMMYCARENETvalues ISTRIALPERIOD

  - ### CLOSUREJUSTIFICATION

    public static final CDITEMMYCARENETvalues CLOSUREJUSTIFICATION

- ## Method Details

  - ### values

    public static CDITEMMYCARENETvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDITEMMYCARENETvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDITEMMYCARENETvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.